Subject: Re: git clone / git pull to USB memory stick (FAT) and symlinks

From: Ferry Huberts <[email-masked]>
Date: Fri, 12 Nov 2010 16:06:19 +0100

IIRC then a FAT filesystem will screw up your repository.
Is that still the case?

We had a few problems with that at work which is why I advised against it.

On 11/11/2010 06:54 PM, Junio C Hamano wrote:
> Gelonida <[email-masked]> writes:
>
>> I thought about cloning a remote git repository onto the stick
>> and performing
>> - regular pulls in order to update the USB stick
>> - occasional pushes in orderto publish changes performed on the stick.
> ... missing is the reason why this is done to a USB memory stick.  More
> specifically,...
>
>> 1.) Ignore skip / symlinks
>> 2.) Avoiding file permission issues: Is this sufficient
> These become non-issues _if_ the reason you are putting this on an USB
> stick is to safekeep and sneakernet the project data, and are not
> interested in having a working tree on the stick, which I often find is
> the use case after grilling people who ask about placing git repositories
> on an USB stick.
>
> And the commands to interact with such a repository without a working tree
> are to "push" (into it), and "fetch" (from it).  IOW, you do not "pull"
> into USB stick.
>
> If you do need a working tree on the stick, and the stick has a FAT
> derived filesystem (which would be the most common), then you would need
>
>> git config --add core.fileMode false
> and perhaps "core.symlinks false" also would help
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

grtz

-- 
Ferry Huberts